rawMat-methods {xcms} | R Documentation

## Get a raw data matrix

### Description

Returns a matrix with columns for time, m/z, and intensity that represents the raw data from a chromatography mass spectrometry experiment.

### Arguments

`object` | The container of the raw data
`mzrange` | Subset by m/z range
`rtrange` | Subset by retention time range
`scanrange` | Subset by scan index range
`log` | Whether to log transform the intensities

### Value

A numeric matrix with three columns: time, mz and intensity.

### Methods

object = "xcmsRaw"
  `rawMat(object, mzrange = numeric(), rtrange = numeric(), scanrange = numeric(), log=FALSE)`

### Author(s)

Michael Lawrence

### See Also

`plotRaw` for plotting the raw intensities

[Package xcms version 1.16.3 Index]